
.event-details {
    background: #fff;
    border-radius: 5px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    overflow: hidden;
    /* margin-bottom: 30px; */
    transition: transform 0.3s;
    height: 100%;
    display: flex;
    flex-direction: column;
}

.event-details:hover {
    transform: translateY(-5px);
}

.event-details img {
    border-bottom: 5px solid #f3b300;
    height: 210px;
    width: 100%;
    object-fit: cover;
}

.event-heading {
    font-size: 17px;
    height: 78px;
    color: #333;
    padding: 10px 15px;
}

.date {
    font-size: 0.9rem;
    color: #999;
    margin-bottom: 0px;
}

.text-decoration-none {
    color: #454242;
}

.event-social-icons i {
    font-size: 16px;
    transition: transform 0.2s ease;
}

.event-social-icons a {
    margin-left: 12px;
}

.event-social-icons a:hover i {
    transform: scale(1.2);
}

/* Add gap between rows */
.events-row {
    row-gap: 30px;
}

/* Pagination Styles */
.pagination .page-link {
    color: #007bff;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0 5px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    transition: all 0.3s ease;
    
}

.pagination .page-link:hover {
    background-color: #007bff;
    color: white;
    box-shadow: 0 4px 10px rgba(0, 123, 255, 0.5);
}

.pagination .page-item.active .page-link {
    background-color: #007bff;
    color: white;
    border-color: #007bff;
    box-shadow: 0 4px 10px rgba(0, 123, 255, 0.5);
}

.pagination .page-item.disabled .page-link {
    color: #aaa;
    background-color: #f8f9fa;
    border-color: #ddd;
}

@media (max-width: 768px) {
    .event-heading {
        height: fit-content;
    }
    
    .event-details {
        margin-bottom: 20px;
    }
    
    .events-row {
        row-gap: 20px;
    }
}